Skip to main content
GET
/
stablecoin-provider-accounts
List stablecoin provider account links
curl --request GET \
  --url https://api.lightspark.com/grid/2025-10-13/stablecoin-provider-accounts \
  --header 'Authorization: Basic <encoded-value>'
{
  "data": [
    {
      "id": "StablecoinProviderAccount:019542f5-b3e7-1d02-0000-000000000001",
      "provider": "BRALE",
      "providerAccountId": "2VcUIonJeVQzFoBuC7LdFT0dRe4",
      "createdAt": "2026-05-20T16:35:00Z",
      "updatedAt": "2026-05-20T16:35:00Z",
      "lastVerifiedAt": "2026-05-20T16:35:00Z"
    }
  ],
  "hasMore": true,
  "nextCursor": "<string>",
  "totalCount": 123
}

Authorizations

Authorization
string
header
required

API token authentication using format <api token id>:<api client secret>

Query Parameters

provider
enum<string>

Stablecoin provider backing the linked account, stablecoin, or operation.

Available options:
BRALE
status
enum<string>

Status of the linked stablecoin provider account credentials.

Available options:
ACTIVE,
INVALID,
REVOKED
limit
integer
default:20

Maximum number of results to return (default 20, max 100)

Required range: 1 <= x <= 100
cursor
string

Cursor for pagination (returned from previous request)

Response

Successful operation

data
object[]
required
hasMore
boolean
required

Indicates if more results are available beyond this page.

nextCursor
string

Cursor to retrieve the next page of results.

totalCount
integer

Total number of stablecoin provider account links matching the criteria.